package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag935;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.mt9XXAbsCreator.MT935AbsCreator;

/**
 * @author gechengyang
 * @date 2023/2/18
 */
public class Tag23Creator extends AbsTagCreate {

     private MT935AbsCreator mt935AbsCreator;

    public Tag23Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt935AbsCreator= (MT935AbsCreator) absMTCreator;
    }

    public  void creator()
    {
        String tag23Value = mt935AbsCreator.getFurtherIdentification();
        mt935AbsCreator.set("23", tag23Value);
    }
}
